<div class="p-2">
  <p-breadcrumb [home]="{ icon: 'pi pi-home', label: ' Diversa Normativa', routerLink: '../../' }" [model]="breadcrumb">
  </p-breadcrumb>
</div>
<div class="card p-3">
  <form>
    <div class="form-row">
      <div class="col-6 relative">
        <label for="">Fecha de aprobación:</label>
        <div style="overflow-wrap: normal;">
          <p-calendar dataType="string" dateFormat="dd-mm-yy" [showIcon]="true" placeholder="Escriba o seleccione la fecha de resolución"
            [yearNavigator]="true" [monthNavigator]="true" yearRange="1000:2030" name="fechaResolu" id="fechaResolu" readonlyInput="true"
            [styleClass]="requerid.fechaAprobacion ? 'invalid w-100' : 'w-100'" [(ngModel)]="normativaModel.fechaAprobacion"></p-calendar>
        </div>
        <i *ngIf="normativaModel.fechaAprobacion" class="pi pi-times clear-autocomplete" (click)="normativaModel.fechaAprobacion = ''"></i>
      </div>
      <div class="col-6 relative">
        <label for="">Ámbito en el que incide:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" 
          [options]="catalogos.ambitoIncide" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" placeholder="Escriba o seleccione el ámbito"
          name="ambito" id="ambito" [(ngModel)]="normativaModel.ambitoIncide" styleClass="w-100">
        </p-dropdown>
        <!-- <input type="text" class="form-control" list="ambitoList" autocomplete="off" placeholder="Escriba o seleccione el ámbito"
          name="ambito" id="ambito" [(ngModel)]="normativaModel.ambitoIncide">
        <datalist id="ambitoList" styleClass="w-100">
          <option *ngFor="let ambito of catalogos.ambitoIncide" [value]="ambito.nombre">
            {{ambito.nombre}}
          </option>
        </datalist>
        <i *ngIf="normativaModel.ambitoIncide" class="pi pi-times clear-autocomplete" (click)="normativaModel.ambitoIncide = ''"></i> -->
      </div>
    </div>
    <div class="form-row">
      <div class="col-6 relative">
        <label for="">Tipo de instrumento:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" 
          [options]="catalogos.tipoInstrumento" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" placeholder="Escriba o seleccione el tipo de instrumento" name="tipoInstrumento" id="tipoInstrumento"
          [(ngModel)]="normativaModel.tipoInstrumento" [styleClass]="requerid.tipoInstrumento? 'invalid w-100':'w-100'">
        </p-dropdown>
        <!-- <input type="text" class="form-control" list="tipoInstrumentoList" autocomplete="off"
          placeholder="Escriba o seleccione el tipo de instrumento" name="tipoInstrumento" id="tipoInstrumento"
          [(ngModel)]="normativaModel.tipoInstrumento" [ngClass]="{'invalid': requerid.tipoInstrumento}">
        <datalist id="tipoInstrumentoList" styleClass="w-100">
          <option *ngFor="let instrumento of catalogos.tipoInstrumento" [value]="instrumento.nombre">
            {{instrumento.nombre}}
          </option>
        </datalist>
        <i *ngIf="normativaModel.tipoInstrumento" class="pi pi-times clear-autocomplete" (click)="normativaModel.tipoInstrumento = ''"></i> -->
      </div>
      <div class="col-6 relative">
        <label for="">Número:</label>
        <input type="text" class="form-control" autocomplete="off" placeholder="Escriba el número" name="numero" id="numero"
          [(ngModel)]="normativaModel.numero" [ngClass]="{'invalid': requerid.numero }">
          <i *ngIf="normativaModel.numero" class="pi pi-times clear-autocomplete" (click)="normativaModel.numero = ''"></i>
      </div>
    </div>
    <div [ngSwitch]="normativaModel.tipoInstrumento">
      <div class="form-row" *ngSwitchCase="'CIRCULAR'">
        <div class="col-6 relative">
          <label for="">Tipo de circular:</label>
          <p-dropdown emptyFilterMessage="Sin resultados" 
          [options]="catalogos.tipoCircular" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" placeholder="Escriba o seleccione el tema sustantivo" name="tipoCircular" id="tipoCircular"
          [(ngModel)]="normativaModel.tipoCircular" [styleClass]="'w-100'">
        </p-dropdown>
          <!-- <input type="text" class="form-control" list="tipoCircularList" autocomplete="off"
            placeholder="Escriba o seleccione el tema sustantivo" name="tipoCircular" id="tipoCircular"
            [(ngModel)]="normativaModel.tipoCircular">
          <datalist id="tipoCircularList" styleClass="w-100">
            <option *ngFor="let tipo of catalogos.tipoCircular" [value]="tipo.nombre">
              {{tipo.nombre}}
            </option>
          </datalist>
          <i *ngIf="normativaModel.tipoCircular" class="pi pi-times clear-autocomplete" (click)="normativaModel.tipoCircular = ''"></i> -->
        </div>
        <div class="col-6 relative">
          <label for="">Ministro Presidente en la fecha de su emisión:</label>
          <p-dropdown emptyFilterMessage="Sin resultados" 
          [options]="catalogos.ministrosPresidentes" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" placeholder="Escriba o seleccione el ministro presidente" name="ministroPresidente" id="ministroPresidente"
          [(ngModel)]="normativaModel.ministroPresidente" [styleClass]="requerid.ministroPresidente? 'invalid w-100':'w-100'">
        </p-dropdown>
          <!-- <input type="text" class="form-control" list="ministroPresidenteList" autocomplete="off"
            placeholder="Escriba o seleccione el ministro presidente" name="ministroPresidente" id="ministroPresidente"
            [(ngModel)]="normativaModel.ministroPresidente" [ngClass]="{'invalid': requerid.ministroPresidente }">
          <datalist id="ministroPresidenteList" styleClass="w-100">
            <option *ngFor="let ministro of catalogos.ministrosPresidentes" [value]="ministro.nombre">
              {{ministro.nombre}}
            </option>
          </datalist>
          <i *ngIf="normativaModel.ministroPresidente" class="pi pi-times clear-autocomplete" (click)="normativaModel.ministroPresidente = ''"></i> -->
        </div>
      </div>
      <div class="form-row" *ngSwitchDefault>
        <div class="col-12 relative">
          <label for="">Ministro Presidente en la fecha de su emisión:</label>
          <p-dropdown emptyFilterMessage="Sin resultados" 
          [options]="catalogos.ministrosPresidentes" optionLabel="nombre" [filter]="true" filterBy="nombre"
          [showClear]="true" optionValue="nombre" placeholder="Escriba o seleccione el ministro presidente" name="ministroPresidente" id="ministroPresidente"
          [(ngModel)]="normativaModel.ministroPresidente" [styleClass]="requerid.ministroPresidente? 'invalid w-100':'w-100'">
        </p-dropdown>
          <!-- <input type="text" class="form-control" list="ministroPresidenteList" autocomplete="off"
            placeholder="Escriba o seleccione el ministro presidente" name="ministroPresidente" id="ministroPresidente"
            [(ngModel)]="normativaModel.ministroPresidente" [ngClass]="{'invalid': requerid.ministroPresidente }">
          <datalist id="ministroPresidenteList" styleClass="w-100">
            <option *ngFor="let ministro of catalogos.ministrosPresidentes" [value]="ministro.nombre">
              {{ministro.nombre}}
            </option>
          </datalist>
          <i *ngIf="normativaModel.ministroPresidente" class="pi pi-times clear-autocomplete" (click)="normativaModel.ministroPresidente = ''"></i> -->
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="col-12 relative">
        <label for="">Dirección electrónica del documento en intranet: <i class="material-icons" placement="top"
            ngbTooltip="Este campo no es requerido" style="transform: translate(0px,5px);">help_center</i></label>
        <input type="text" class="form-control" autocomplete="off"
          placeholder="Coloca la dirección electrónica donde se encuentra el documento" name="dirElectronica" id="dirElectronica"
          [(ngModel)]="normativaModel.urlIntranet">
          <i *ngIf="normativaModel.urlIntranet" class="pi pi-times clear-autocomplete" (click)="normativaModel.urlIntranet = ''"></i>
      </div>
    </div>
    <div class="form-row">
      <div class="col-12">
        <label for="">Documentos (.doc .docx): <i class="material-icons" placement="top" ngbTooltip="Este campo no es requerido"
            style="transform: translate(0px,5px);">help_center</i></label>
        <div>
          <label class="custom-file-label" id="files" for="inputGroupFile01">
            {{"Elija uno varios archivos"}}
          </label>
          <input type="file" multiple class="custom-file-input" id="inputFile" (change)="uploadFile($event.target.files)"
            accept=".doc,.docx">
        </div>
        <ng-container *ngIf="files.length == 0; then Empty; else Tabla">
        </ng-container>
        <ng-template #Empty>
          <br>
          <div style="border-radius: 6px; border: 1px solid rgb(206 212 218);">
            <div class="col-12 d-flex" style="height:100px">
              No hay documentos registrados
            </div>
          </div>
        </ng-template>
        <ng-template #Tabla>
          <div style="border-radius: 6px; border: 1px solid rgb(206 212 218);">
            <p-table [value]="files" [scrollable]="true" [rows]="100" scrollHeight="200px">
              <ng-template pTemplate="body" let-files let-rowIndex="rowIndex">
                <tr class="col-12 d-flex">
                  <td class="mb-0 p-2 col-10">
                    {{ rowIndex+1+'.'}}{{files}}
                  </td>
                  <td class="d-flex align-items-center justify-content-center col-2" style="gap: 10px">
                    <i [ngClass]="{'collapse': isView}" class="pi pi-trash" (click)="borraArchivo($event,rowIndex)"></i>
                  </td>
                </tr>
              </ng-template>
            </p-table>
          </div>
        </ng-template>
      </div>
    </div>
    <br>
    <div class="form-row">
      <div class="col-12" *ngIf="materias.length >=1">
        <label for="">Clasificación de materia:</label>
        <div style="border-radius: 6px; border: 1px solid rgb(206 212 218);">
          <p-table [value]="materias" [scrollable]="true" [rows]="100" scrollHeight="200px">
            <ng-template pTemplate="body" let-materias let-rowIndex="rowIndex">
              <tr class="col-12 d-flex">
                <td class="mb-0 p-2 col-10">
                  {{ rowIndex+1+'.'}}{{materias.materiaRegulacion}} {{materias.temas}}
                </td>
                <td class="d-flex align-items-center justify-content-center col-2" style="gap: 10px">
                  <a [ngClass]="{'collapse': isView}"><i class="pi pi-pencil" (click)="edicionMateria(materias)"></i></a>
                  <i [ngClass]="{'collapse': isView}" class="pi pi-trash" (click)="borraMaterias($event,rowIndex)"></i>
                </td>
              </tr>
            </ng-template>
          </p-table>
        </div>
      </div>
    </div>
    <p-button [ngClass]="{'collapse': isView}" styleClass="p-button-sm" label="Agregar Clasificación" (onClick)="displayModal()"></p-button>
  </form>
  <br>
  <br>
  <div class="d-flex justify-content-between mt-2">
    <a routerLink="../../">
      <p-button styleClass="p-button-sm back" label="Volver"></p-button>
    </a>
    <p-button [ngClass]="{'collapse': isView}" styleClass="p-button-sm" icon="pi pi-book" label="Editar normativa" (onClick)="editarNormativa()">
    </p-button>
  </div>
</div>
<app-clasificacion-materia (closeEditMateria)="getModalUpdateMateria($event)" [openModal]="configModal" (closeMateria)="getModal($event)"
  [dataMateria]="materiaEdit">
</app-clasificacion-materia>
<p-confirmPopup></p-confirmPopup>
